import std.stdio;

void main()
{
    auto arr = [ 5, 10, 20, 30 ];
    auto p = arr.ptr;
    assert(*p == 5);
    ++p;
    assert(*p == 10);
    ++*p;
    assert(*p == 11);
    p += 2;
    assert(*p == 30);
    assert(p - arr.ptr == 3);
}
